        TTL     C-Demon breakpoint support definitions                 > bp_h.s
        ; ---------------------------------------------------------------------
        ; $Revision: 0.1 $
        ;   $Author: jsmith $
        ;     $Date: 941030 $
        ;
        ; Copyright (C) 1994 VLSI Technology Inc. All rights reserved.
        ; ---------------------------------------------------------------------
	; "@(#)bp_h.s	1.2	96/06/07 VLSI"

FALSE   EQU     0               ; we hold these to be self-evident
TRUE    EQU     :NOT: FALSE

                [       (RUBY2 :LAND: HWBREAKPOINT)
NumBP   EQU     1               ; only a single hardware breakpoint
                |       ; else normal software breakpoints
NumBP   EQU     16              ; number of breakpoints to use
                ]

SSTEPBREAK      EQU     0xFFFFFFFE      ; *MUST* be negative
ABORTBREAK      EQU     0xFFFFFFFE      ; *MUST* be negative
                ; The above two must also be different from the following
                ; ASYNCBREAK definition.
ASYNCBREAK      EQU     0xFFFFFFFF      ; *MUST* be negative

NORMAL  	EQU     NumBP+1         ; separate breakpoint from normal termination

        OPT     32      ;Turns off the listing of SET, GBL and LCL directives.

        ; ---------------------------------------------------------------------
        END     ; EOF bp_h.s
