        TTL     C-Demon SWI manifests                                > swis_h.s
	; "@(#)swis_h.s	1.2	96/06/07 VLSI"
        ; ---------------------------------------------------------------------
        ; $Revision: 0.1 $
        ;   $Author: jsmith $
        ;     $Date: 941102 $
        ;
        ; Copyright (c) 1994, VLSI Technology Inc. All Rights Reserved.
        ;
        ; The following manifests map the exported SWI numbers to the
        ; C-Demon SWI functions. NOTE: This file must be manually kept
        ; in step with the C-Demon source and the duplicate
        ; information in the "swi.h" header file.
        ; ---------------------------------------------------------------------
        ; For a description of the calling convention required by
        ; individual SWI routines read the "swi.h" header file:

WriteC          EQU     0x00
Write0          EQU     0x02
ReadC           EQU     0x04
CLI             EQU     0x05
GetEnv          EQU     0x10
Exit            EQU     0x11
EnableINT       EQU     0x13
DisableINT      EQU     0x14
EnterOS         EQU     0x16
GetErrno        EQU     0x60
Clock           EQU     0x61
Time            EQU     0x63
Remove          EQU     0x64
Rename          EQU     0x65
Open            EQU     0x66
GetVector       EQU     0x67
Close           EQU     0x68
Write           EQU     0x69
Read            EQU     0x6A
Seek            EQU     0x6B
Flen            EQU     0x6C
IsTTY           EQU     0x6E
TmpNam          EQU     0x6F
InstallHandler  EQU     0x70
GenerateError   EQU     0x71

        ; ---------------------------------------------------------------------
        END     ; EOF swis_h.s
